# Soya 3D tutorial
# Copyright (C) 2008 Patrick Sabin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import soya.pudding as pudding
import soya,sys,os

soya.init()
soya.path.append(os.path.join(os.path.dirname(sys.argv[0]), "data"))
pudding.init()
scene = soya.World()

camera = soya.Camera(scene)
camera.z = 2.0

soya.set_root_widget(pudding.core.RootWidget())
soya.root_widget.add_child(camera)

logo = pudding.control.Logo(soya.root_widget, 'little-dunk.png')

pudding.main_loop.MainLoop(scene).main_loop()
